Skip to:
Content
Pages
Categories
Search
Top
Bottom

Class 'WP_Widget' not found

  • Avatar of cederholm
    Cederholm
    Member

    @cederholm

    When I want to activate BodyPress I get a Fatal error:

    “Fatal error: Class ‘WP_Widget’ not found in /var/www/web196/web/wp-content/plugins/buddypress/bp-core/bp-core-widgets.php on line 14″

    Anyone who can help me?

    Sincerely,

    Carsten

Viewing 4 replies - 1 through 4 (of 4 total)
  • Avatar of Jeff Sayre
    Jeff Sayre
    Participant

    @jeffsayre

    Which version of WordPress Mu are you running? Which version of BuddyPress?

    Avatar of chibuzo_o
    chibuzo_o
    Participant

    @chibuzo_o

    Hi,

    I have got the same problem. I tried upgrading Buddypress to 1.0.3 and got the same fatal error.

    I’ve tried replacing all the files in the plugin folder but that didn’t work.

    Someone help please!!!!

    You need to be using WPMU 2.8.* for BP as the way widgets are written was changed.

    Avatar of Roger Coathup
    Roger Coathup
    Participant

    @rogercoathup

    Getting out of a fix:

    If you’ve tried updating Buddypress, but forgotten to update WordPressMU first of all… you are now facing the “Fatal error: Class ‘WP_Widget’ not found”.

    You’ll also find, you can’t rewind your buddypress upgrade, and can’t update wordpress from the dashboard. You are stuck!

    You could reach for your backup, but if like me, you got lazy and didn’t backup… you’ll be really pleased to know this link to a manual update process works, and you won’t lose any of your lovely data:

    http://codex.wordpress.org/Upgrading_WPMU#2.7.1_to_2.8.3

    The steps for 2.8.3 also work for 2.8.4a

Viewing 4 replies - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.